package com.gh.gamecenter.login.user;

/**
 * Created by khy on 29/11/17.
 */

public enum LoginTag {

    qq("qq"),
    wechat("wechat"),
    weibo("weibo"),
    douyin("douyin"),
    oauth("oauth"),
    phone("phone"),
    refresh("refresh"),
    oldUserPhone("oldUserPhone");

    private String mStatus;

    LoginTag(String status) {
        mStatus = status;
    }

    public String toChinese() {
        // 一键登录\手机号码登录\微信登录\QQ登录\微博登录
        if (this == qq) {
            return "QQ登录";
        } else if (this == wechat) {
            return "微信登录";
        } else if (this == phone) {
            return "手机号码登录";
        } else if (this == weibo) {
            return "手机号码登录";
        } else if (this == oauth) {
            return "一键登录";
        } else {
            return "其它";
        }
    }

}
